<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!--
	Author: Jan Erik Paulsen
	Copyright 2007 Teppefall. All rights reserved. http://www.teppefall.com
-->

<xsl:template match="vector">
	<object class="java.util.Vector">
		<xsl:if test="@id">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:apply-templates/>
	</object>
</xsl:template>

<xsl:template match="hashtable">
	<object class="java.util.Hashtable">
		<xsl:if test="@id">
			<xsl:attribute name="id">
				<xsl:value-of select="@id"/>
			</xsl:attribute>
		</xsl:if>
		<xsl:apply-templates/>
	</object>
</xsl:template>

<xsl:template match="item">
	<xsl:choose>
	<xsl:when test="parent::vector">
		<void method="add">
			<string>
				<xsl:value-of select="@value"/>
				<xsl:if test=".">
					<xsl:value-of select="."/>
				</xsl:if>
			</string>
		</void>
	</xsl:when>
	<xsl:when test="parent::hashtable">
		<void method="put">
			<string>
				<xsl:value-of select="@name"/>
			</string>
			<string>
				<xsl:value-of select="@value"/>
				<xsl:if test=".">
					<xsl:value-of select="."/>
				</xsl:if>
			</string>
		</void>
	</xsl:when>
	<xsl:otherwise>
		<xsl:comment>
			Unknown datatype above "<xsl:value-of select="."/>"
		</xsl:comment>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>